QGIS Application - Bug report #9600
When using the datum transformation dialog the labels of reprojected layers are not reprojected
2014-02-19 03:31 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18178
Description

See

http://goo.gl/ccHegM

and/or attached screencast

Associated revisions

Revision 34f79cf1 - 2014-02-19 05:01 PM - Marco Hugentobler

Make a correct copy of QgsCoordinate Transform for labeling (hope it fixes #9600)

History

#1 - 2014-02-19 04:19 AM - Pedro Venancio
- File vertices_2012.zip added

This is only noticeable with point layers, because with other geometries it is almost impossible to "fix" the label always in the same relative location. In the

screencast | put them always above the point.

| also attatch the sample data we used to test.

#2 - 2014-02-19 08:03 AM - Marco Hugentobler
- Status changed from Open to Closed

Fixed in changeset commit:"34{79cf1fff11bd3ac23548d0929a7e90e6d142d".

#3 - 2014-02-20 04:20 PM - Pedro Venancio

Confirmed!

Thanks Marco!

Files
http://goo.gl/ccHegM

labels.mp4 3.69 MB 2014-02-19 Giovanni Manghi
vertices_2012.zip 1.09 MB 2014-02-19 Pedro Venancio
